Asynchronous SOAPMessageV2 example

reference australia Updated Sep 10, 2026 1 min read r_AsyncronousSOAPMessageV2Example.md
Raw file servicenow.com

You can send an outbound SOAP message asynchronously.

When you send an asynchronous message the instance does not wait for a response before proceeding. You must handle waiting for a response within your code.

JavaScript
var requestBody;var responseBody;var status;var sm;try{	sm = new sn_ws.SOAPMessageV2("StockQuote", "GetQuote");  // Might throw exception if message doesn't exist or not visible due to scope	sm.setBasicAuth("admin","admin");	sm.setStringParameter("symbol", "NOW");	sm.setStringParameterNoEscape("xml_data","<data>test</data>");	response = sm.executeAsync(); //Might throw exception if http connection timed out or some issue with sending request itself because of encryption/decryption of password
	response.waitForResponse(60);// In Seconds, Wait at most 60 seconds to get response from ECC Queue/Mid Server //Might throw exception timing out waiting for response in ECC queue
	responseBody = response.haveError() ? response.getErrorMessage() : response.getBody();	status = response.getStatusCode();} catch(ex) {	responseBody = ex.getMessage();	status = '500';} finally {	requestBody = sm ? sm.getRequestBody():null;}gs.info("Request Body: " + requestBody);gs.info("Response: " + responseBody);gs.info("HTTP Status: " + status);

Parent Topic:Scripting outbound SOAP

Search documentation
Search document titles and file paths on the australia branch